package com.fufan.mtsaas.modules.sysmgr.journal.model;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * AI处理日志表
 *
 * @Author Liby
 * @Create 2018-04-20
 * */
@TableName("AI_INTRMGR_PROCESS")
public class AiIntrmgrProcess {
    @TableId("INTF_ID")
    private String intfId;
    /**
     * 版本号
     * */
    private String intfVersion;
    /**
     * req信息
     */
    private String intfReqMessage;
    /**
     * resp信息
     */
    private String intfRespMessage;
    /**
     * 功能代码
     */
    private String funcCode;
    /**
     * 功能名称
     */
    private String funcName;
    /**
     * 来源系统名称
     * */
    private String fromSysReqsrc;
    /**
     * 目标系统名称
     * */
    private String toSysReqsrc;
    /**
     * 开启时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sysStart;
    /**
     * 结束时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sysEnd;
    /**
     * 处理状态
     */
    private String processStatus;
    /**
     * 来源
     */
    private String sysReqsrc;
    /**
     * ip
     */
    private String sysIp;
    /**
     * 操作人
     */
    private String sysOper;
    /**
     * 操作时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sysDatetime;

    public String getIntfId() {
        return intfId;
    }

    public void setIntfId(String intfId) {
        this.intfId = intfId;
    }

    public String getIntfVersion() {
        return intfVersion;
    }

    public void setIntfVersion(String intfVersion) {
        this.intfVersion = intfVersion;
    }

    public String getIntfReqMessage() {
        return intfReqMessage;
    }

    public void setIntfReqMessage(String intfReqMessage) {
        this.intfReqMessage = intfReqMessage;
    }

    public String getIntfRespMessage() {
        return intfRespMessage;
    }

    public void setIntfRespMessage(String intfRespMessage) {
        this.intfRespMessage = intfRespMessage;
    }

    public String getFuncCode() {
        return funcCode;
    }

    public void setFuncCode(String funcCode) {
        this.funcCode = funcCode;
    }

    public String getFuncName() {
        return funcName;
    }

    public void setFuncName(String funcName) {
        this.funcName = funcName;
    }

    public Date getSysStart() {
        return sysStart;
    }

    public void setSysStart(Date sysStart) {
        this.sysStart = sysStart;
    }

    public Date getSysEnd() {
        return sysEnd;
    }

    public void setSysEnd(Date sysEnd) {
        this.sysEnd = sysEnd;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public String getSysReqsrc() {
        return sysReqsrc;
    }

    public void setSysReqsrc(String sysReqsrc) {
        this.sysReqsrc = sysReqsrc;
    }

    public String getSysIp() {
        return sysIp;
    }

    public void setSysIp(String sysIp) {
        this.sysIp = sysIp;
    }

    public String getSysOper() {
        return sysOper;
    }

    public void setSysOper(String sysOper) {
        this.sysOper = sysOper;
    }

    public Date getSysDatetime() {
        return sysDatetime;
    }

    public void setSysDatetime(Date sysDatetime) {
        this.sysDatetime = sysDatetime;
    }

    public String getFromSysReqsrc() {
        return fromSysReqsrc;
    }

    public void setFromSysReqsrc(String fromSysReqsrc) {
        this.fromSysReqsrc = fromSysReqsrc;
    }

    public String getToSysReqsrc() {
        return toSysReqsrc;
    }

    public void setToSysReqsrc(String toSysReqsrc) {
        this.toSysReqsrc = toSysReqsrc;
    }

    @Override
    public String toString() {
        return "AiIntrmgrProcess{" +
                "intfId='" + intfId + '\'' +
                ", intfVersion='" + intfVersion + '\'' +
                ", intfReqMessage='" + intfReqMessage + '\'' +
                ", intfRespMessage='" + intfRespMessage + '\'' +
                ", funcCode='" + funcCode + '\'' +
                ", funcName='" + funcName + '\'' +
                ", fromSysReqsrc='" + fromSysReqsrc + '\'' +
                ", toSysReqsrc='" + toSysReqsrc + '\'' +
                ", sysStart=" + sysStart +
                ", sysEnd=" + sysEnd +
                ", processStatus='" + processStatus + '\'' +
                ", sysReqsrc='" + sysReqsrc + '\'' +
                ", sysIp='" + sysIp + '\'' +
                ", sysOper='" + sysOper + '\'' +
                ", sysDatetime=" + sysDatetime +
                '}';
    }
}
